<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="../style.css">
    <title>T571</title>
</head>
<body>
<header>
    <h1>Zadanie T571</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Pobierz kod z repozytorium https://github.com/tadeuszgraczyk "2024_programowanie_PHP". Zmodyfikuj klasę Osoba
        dodając pole wiek. Przetestuj swój zmodyfikowany kod.</p>
</div>
<?php
class osoba
{
    public $id, $nazwisko, $imie, $wiek;

    function wpiszNazwisko($arg1)
    {
        $this->nazwisko = $arg1;
    }

    function pobierzNazwisko()
    {
        return $this->nazwisko;
    }

    function wpiszImie($arg2)
    {
        $this->imie = $arg2;
    }

    function pobierzImie()
    {
        return $this->imie;
    }

    function wpiszId($arg3)
    {
        $this->id = $arg3;
    }

    function pobierzId()
    {
        return $this->id;
    }

    function wpiszWiek($arg4)
    {
        $this->wiek = $arg4;
    }
    function pobierzWiek() {
        return $this->wiek;
    }
}

$osoba1 = new osoba();
$osoba1->wpiszNazwisko("Nowak");
$osoba1->wpiszImie("Jan");
$osoba1->wpiszId(1);
$osoba1->wpiszWiek(25);

echo "<div class='box'>";
echo "Nazwisko: " . $osoba1->pobierzNazwisko() . "<br>";
echo "Imie: " . $osoba1->pobierzImie() . "<br>";
echo "Id: " . $osoba1->pobierzId() . "<br>";
echo "Wiek:" . $osoba1->pobierzWiek() . "<br>";
echo "</div>";
?>
</body>
</html>
